#!/bin/bash

package=iipsr
version=v

progname=$0

source ../../bin/script/test-setup.bash
source ../../lib/cascade-lib.bash

prefix=$GEXTDIVA_INSTALLED/cmdline

opt_run_untar $force_untar $auto_untar $package $version

WEBAPPS="$prefix/../../../../../packages/tomcat/webapps"

if [ $install = "1" ] ; then
  /bin/cp -rf "$package" "$WEBAPPS"
fi

if [ $clean = "1" ] || [ $distclean = "1" ] ; then
  if [ -d "$WEBAPPS/$package" ] ; then
    /bin/rm -rf "$WEBAPPS/$package";
  fi
fi

opt_run_tarclean $tarclean $package $version
