
extdesc="the Diva.js Extension"

if [ "x$GEXTDIVA" = "x" ] ; then
  export GEXTDIVA=`pwd`
  export GEXTDIVA_INSTALLED=$GEXTDIVA/installed

  export PATH=$GEXTDIVA_INSTALLED/cmdline/bin:$GEXTDIVA_INSTALLED/cmdline/sbin:$PATH


  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
    export LD_LIBRARY_PATH=$GEXTDIVA_INSTALLED/cmdline/lib
  else
    export LD_LIBRARY_PATH=$GEXTDIVA_INSTALLED/cmdline/lib:$LD_LIBRARY_PATH
  fi

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=diva
  else 
    export GSDLEXTS=$GSDLEXTS:diva
  fi


  echo "+Your environment is now setup for $extdesc to Greenstone"
else
  echo "+Your environment is already setup for $extdesc to Greenstone"
fi

if [ -d installed/cmdline/fcgi ] ; then
  echo "++ To start the IIP image server please execute:"
  echo "++ cd $GEXTDIVA && ./start.sh"
fi

if [ -e devel.bash ] ; then
  source devel.bash
fi
